Index: /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml
===================================================================
--- /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml	(revision 4171)
+++ /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml	(revision 4172)
@@ -7,35 +7,32 @@
 	<nationalProjectMapping><MdCollectionDisplayName>WebLicht Webservice Orchestrator</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>TÃŒbingen Language Resources</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Acquisition</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Adaptive Listening Group</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>AILLA</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>ANDES</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Acquisition</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Adaptive Listening Group</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: AILLA</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: ANDES</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>Bavarian Archive for Speech Signals (BAS)</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>childes</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Comparative cognitive anthropology</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Comprehension</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>CORP-ORAL</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>DBD</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Demo</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>ECHO</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Endangered Languages</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Evolutionary Processes in Language and Culture</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>GTRP Corpus</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Humanethologisches Filmarchiv</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>IFA corpus</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>ILSP INTERA contribution</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Individual differences in language processing</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Language and Cognition</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Leiden Archives</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>LexoBlock registry</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>MPI CGN</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>MPI fÃŒr Bildungsforschung</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Multilingualism</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Neurobiology of language</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Nijmegen corpora of casual speech</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>SUCA</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Sign Language</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Sign Language Typology</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>talkbank</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: childes</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Comparative cognitive anthropology</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Comprehension</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: CORP-ORAL</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: DBD</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Demo</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: ECHO</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: DoBeS archive</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Evolutionary Processes in Language and Culture</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Humanethologisches Filmarchiv</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: IFA corpus</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: ILSP INTERA contribution</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Individual differences in language processing</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Language and Cognition</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Leiden Archives</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: MPI CGN</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: MPI fÃŒr Bildungsforschung</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Multilingualism</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Neurobiology of language</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Nijmegen corpora of casual speech</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: SUCA</MdCollectionDisplayName><NationalProject>CLARIN-EU</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: Sign Language Typology</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>TLA: talkbank</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>CLARIN-NL webservices</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>Meertens Collection: Soundbites</MdCollectionDisplayName><NationalProject>CLARIN-NL</NationalProject></nationalProjectMapping>
@@ -94,5 +91,5 @@
 	
 	<nationalProjectMapping>
-		<MdCollectionDisplayName>Corpus NGT</MdCollectionDisplayName>
+		<MdCollectionDisplayName>TLA: Corpus NGT</MdCollectionDisplayName>
 		<NationalProject>CLARIN-NL</NationalProject>
 	</nationalProjectMapping>
@@ -144,5 +141,5 @@
 	
 	<nationalProjectMapping>
-		<MdCollectionDisplayName>NEHOL</MdCollectionDisplayName>
+		<MdCollectionDisplayName>TLA: NEHOL</MdCollectionDisplayName>
 		<NationalProject>CLARIN-NL</NationalProject>
 	</nationalProjectMapping>