Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/completeuserdetails.html
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/completeuserdetails.html	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/completeuserdetails.html	(revision 4191)
@@ -65,7 +65,7 @@
         <!-- Placed at the end of the document so the pages load faster -->
         <!--<script src="./lib/jQuery/1.10.2/jquery-1.10.2.min.js"></script>-->
-        <script src="./lib/AngularJS-1.2.4/angular.min.js"></script>
-        <script src="./lib/AngularJS-1.2.4/angular-resource.min.js"></script>
-        <script src="./lib/AngularJS-1.2.4/angular-route.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular-resource.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular-route.min.js"></script>
         <script src="./lib/UI-bootstrap/ui-bootstrap-tpls-0.7.0.min.js"></script>
         <script src="./scripts/modules.min.js"></script>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/index.html
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/index.html	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/index.html	(revision 4191)
@@ -95,7 +95,7 @@
         <!-- Placed at the end of the document so the pages load faster -->
         <!--<script src="./lib/jQuery/1.10.2/jquery-1.10.2.min.js"></script>-->
-        <script src="./lib/AngularJS-1.2.4/angular.min.js"></script>
-        <script src="./lib/AngularJS-1.2.4/angular-resource.min.js"></script>
-        <script src="./lib/AngularJS-1.2.4/angular-route.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular-resource.min.js"></script>
+        <script src="./lib/AngularJS-1.2.5/angular-route.min.js"></script>
         <script src="./lib/UI-bootstrap/ui-bootstrap-tpls-0.7.0.min.js"></script>
         <script src="./lib/pretify/prettify.js"></script>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/partials/contact.html
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/partials/contact.html	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/partials/contact.html	(revision 4191)
@@ -10,5 +10,5 @@
                         <p>For any additional information feel free to contact:</p>
                         <address>
-                            <div class="container-fluid"><a href="mailto:tla@mpi.nl">isocat@mpi.nl</a></div>
+                            <div class="container-fluid"><a href="mailto:isocat@mpi.nl">isocat@mpi.nl</a></div>
                             <br/><br/> 
                             <p>And visit us at:</p>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/runner.html
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/runner.html	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/runner.html	(revision 4191)
@@ -4,5 +4,5 @@
     <title>SCHEMAcat end2end Test Runner</title>
     <meta charset="utf-8">
-    <script src="../lib/AngularJS-1.2.4/angular-scenario.js" ng-autotest></script>
+    <script src="../lib/AngularJS-1.2.5/angular-scenario.js" ng-autotest></script>
     <script src="../lib/window-dialog-commands.js" ng-autotest></script>
     <script src="scenarios.js"></script>
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/scenarios.js
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/scenarios.js	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/e2e/scenarios.js	(revision 4191)
@@ -73,5 +73,5 @@
 		});
 	});
-	describe('Worspace scenarios', function() {
+	describe('Workspace scenarios', function() {
 		describe('Routes scenario', function() {
 
Index: /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/karma/karma.config.js
===================================================================
--- /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/karma/karma.config.js	(revision 4190)
+++ /cats/SCHEMAcat/trunk/urn.org.isocat.schemacat.site/site/test/karma/karma.config.js	(revision 4191)
@@ -15,9 +15,9 @@
     // list of files / patterns to load in the browser
     files: [
-      'lib/AngularJS-1.2.4/angular.js',
-      'lib/AngularJS-1.2.4/angular-route.js',
-      'lib/AngularJS-1.2.4/angular-resource.js',
+      'lib/AngularJS-1.2.5/angular.js',
+      'lib/AngularJS-1.2.5/angular-route.js',
+      'lib/AngularJS-1.2.5/angular-resource.js',
       'lib/UI-bootstrap/ui-bootstrap-tpls-0.7.0.js',
-      'test/lib/AngularJS-1.2.4/angular-mocks.js',
+      'test/lib/AngularJS-1.2.5/angular-mocks.js',
       'scripts/modules.js',
       'scripts/controllers.js',