Index: /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/AdelheidTag/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-charstream/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-document/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/adelheid-lexicon/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-tier/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/avatech-timeseries/index.schemacat	(revision 4196)
@@ -17,3 +17,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-cgn/index.schemacat	(revision 4196)
@@ -16,3 +16,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-events/index.schemacat	(revision 4196)
@@ -16,3 +16,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-lemmas/index.schemacat	(revision 4196)
@@ -16,3 +16,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>
Index: /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat
===================================================================
--- /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 4195)
+++ /cats/SCHEMAcat/trunk/data/schemata/sonar-ne/index.schemacat	(revision 4196)
@@ -16,3 +16,4 @@
     </sc:file>
   </sc:files>
+  <sc:license ref="GPL-3.0+"/>
 </sc:schema>