Index: /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4208)
@@ -21,5 +21,4 @@
         <endorsed.dir>${project.build.directory}/endorsed</endorsed.dir>
         <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-        <netbeans.hint.deploy.server>Tomcat</netbeans.hint.deploy.server>
     </properties>
 
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java	(revision 4208)
@@ -21,4 +21,6 @@
         // needs to be here because of the other constructor
         super ();
+        // add the theme parameter
+        // ...
     }
     
@@ -33,4 +35,6 @@
         // needs to be implemented
         
+        // present the page parameters in the old style
+        
         param = null;
         
@@ -39,4 +43,8 @@
 
     /**
+     * Take in  old style parameters. 
+     * 
+     * 
+     * not being used at the moment; use code in the previous method
      * 
      * @param param
@@ -61,9 +69,10 @@
 
     /**
-     * Add this, VLO page parameters, to the parameters that are already 
-     * associated with the session
      * 
+     * @param PersistentParameters parameters concerning theme and other 
+     * non query related parameters. These parameters are to kept in the URL
+     * during the session.
      */
-    public void addToSession() {        
+    public void merge(PageParameters parameters) {   
         
         // get a themed session from the current thread 
@@ -71,6 +80,12 @@
         themedSession = (VloSession)Session.get();
         
-        // store the parameters in the session object
-        themedSession.addVloSessionPageParameters (this);
+        // get the parameters associated with the session
+        PageParameters persistentParameters;
+        persistentParameters = themedSession.getVloSessionPageParameters();
+        
+        // merge the parameters with the persistent ones and return the result
+        
+        // ...
+        
     }
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4208)
@@ -57,5 +57,4 @@
         // set the applications start page link to the faceted search page
         VloPageParameters startPageParameters = new VloPageParameters ();
-        startPageParameters.addToSession();
 
         BookmarkablePageLink link = new BookmarkablePageLink("startpage",
@@ -71,5 +70,5 @@
         leftImage = new Image("leftimage", leftImageRes);
  
-        // add the image to the page
+        // merge the image to the page
         link.add(leftImage);
 
@@ -82,5 +81,5 @@
         rightImage = new Image("rightimage", rightImageRes);
         
-        // add it to the page
+        // merge it to the page
         add (rightImage);
         
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/DocumentLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/DocumentLinkPanel.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/DocumentLinkPanel.java	(revision 4208)
@@ -17,5 +17,5 @@
         SolrDocument doc = model.getObject();
         BookmarkablePageLink<ShowResultPage> docLink = ShowResultPage.createBookMarkableLink("docLink", query, doc.getFieldValue(
-                FacetConstants.FIELD_ID).toString(), (VloSession)getSession());
+                FacetConstants.FIELD_ID).toString());
         add(docLink);
         Object nameValue = doc.getFirstValue(FacetConstants.FIELD_NAME);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4208)
@@ -16,4 +16,5 @@
 import org.apache.wicket.model.IModel;
 import org.apache.wicket.model.Model;
+import org.apache.wicket.request.mapper.parameter.PageParameters;
 
 public class FacetBoxPanel extends BasePanel {
@@ -66,8 +67,10 @@
         add(facetList);
         VloPageParameters facetParameters = new VloPageParameters ();
-                
-        facetParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
-        facetParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
-        facetParameters.addToSession();
+           
+        PageParameters extraParameters = new PageParameters ();
+        extraParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
+        extraParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
+        
+        facetParameters.merge(extraParameters);
 
         add(new BookmarkablePageLink("showMore", ShowAllFacetValuesPage.class, facetParameters) {
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4208)
@@ -18,7 +18,5 @@
         
         VloPageParameters newParam = new VloPageParameters ();
-        newParam.mergeWith(param);
-        newParam.addToSession();
-       
+ 
         add(new BookmarkablePageLink("allLink", FacetedSearchPage.class, newParam));
         add(new Label("headerLabelSelect", model.getObject().getSelectedValue()));
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4208)
@@ -22,6 +22,4 @@
         
         VloPageParameters newParam = new VloPageParameters ();
-        newParam.mergeWith(param);
-        newParam.addToSession();
         
         Link<Count> facetLink = new BookmarkablePageLink("facetLink", FacetedSearchPage.class, newParam);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4208)
@@ -138,5 +138,5 @@
             }
 
-            // finally, add the label to the form
+            // finally, merge the label to the form
             this.add(facetOverview);
         }
@@ -157,5 +157,5 @@
             add(submit);
             
-            // add link to help menu page 
+            // merge link to help menu page 
             String helpUrl = VloConfig.getHelpUrl();            
             ExternalLink helpLink = new ExternalLink("helpLink", helpUrl, "help");
@@ -186,6 +186,4 @@
 
             VloPageParameters newParam = new VloPageParameters();
-            newParam.mergeWith(param);
-            newParam.addToSession();
             
             setResponsePage(FacetedSearchPage.class, newParam);
@@ -304,5 +302,5 @@
                 }
 
-                // add HTML form to container
+                // merge HTML form to container
                 String labelString;
                 if (totalResults == 1) {
@@ -316,5 +314,5 @@
                 contentSearchLabel.setEscapeModelStrings(false);
                 contentSearchContainer.add(contentSearchLabel);
-                // contentSearchContainer.add(link);
+                // contentSearchContainer.merge(link);
             } catch (UnsupportedEncodingException uee) {
                 contentSearchContainer.setVisible(false);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/PrevNextHeaderPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/PrevNextHeaderPanel.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/PrevNextHeaderPanel.java	(revision 4208)
@@ -9,5 +9,4 @@
 
 import eu.clarin.cmdi.vlo.FacetConstants;
-import eu.clarin.cmdi.vlo.VloSession;
 import eu.clarin.cmdi.vlo.dao.DaoLocator;
 
@@ -66,5 +65,5 @@
         if (index > 0) {
             String prevDocId = docIdList.get(index - 1).getFieldValue(FacetConstants.FIELD_ID).toString();
-            BookmarkablePageLink<ShowResultPage> prev = ShowResultPage.createBookMarkableLink("prev", query, prevDocId, (VloSession)getSession());
+            BookmarkablePageLink<ShowResultPage> prev = ShowResultPage.createBookMarkableLink("prev", query, prevDocId);
             add(prev);
         } else {
@@ -76,5 +75,5 @@
         if (index < (docIdList.size() - 1) && index >= 0) {
             String prevDocId = docIdList.get(index + 1).getFieldValue(FacetConstants.FIELD_ID).toString();
-            BookmarkablePageLink<ShowResultPage> next = ShowResultPage.createBookMarkableLink("next", query, prevDocId, (VloSession)getSession());
+            BookmarkablePageLink<ShowResultPage> next = ShowResultPage.createBookMarkableLink("next", query, prevDocId);
             add(next);
         } else {
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.java	(revision 4208)
@@ -39,7 +39,7 @@
 	 */
 	private void addOccurrencesFilter(PageParameters parameters) {
-		PageParameters newParameters = (PageParameters) parameters.clone();
+		PageParameters newParameters = new PageParameters (parameters);
 		newParameters.remove(FACET_MIN_OCCURS);
-		if(!parameters.containsKey(FACET_MIN_OCCURS) || parameters.getAsInteger(FACET_MIN_OCCURS) == 1) {
+		if(parameters.getPosition(FACET_MIN_OCCURS) == -1 || parameters.get(FACET_MIN_OCCURS).toInt() == 1) {
 			newParameters.add(FACET_MIN_OCCURS, FACET_MIN_OCCURS_VALUE.toString());
 			add(new BookmarkablePageLink<Void>("filter", ShowAllFacetValuesPage.class, newParameters).add(new Label("filterLabel", "Show only values that occur at least "+FACET_MIN_OCCURS_VALUE+" times")));
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4208)
@@ -4,4 +4,5 @@
 import eu.clarin.cmdi.vlo.Resources;
 import eu.clarin.cmdi.vlo.StringUtils;
+import eu.clarin.cmdi.vlo.VloPageParameters;
 import eu.clarin.cmdi.vlo.VloWebApplication;
 import eu.clarin.cmdi.vlo.VloSession;
@@ -32,4 +33,5 @@
 import org.apache.wicket.RequestCycle;
 import org.apache.wicket.behavior.AbstractBehavior;
+import org.apache.wicket.behavior.Behavior;
 import org.apache.wicket.extensions.ajax.markup.html.AjaxLazyLoadPanel;
 import org.apache.wicket.extensions.markup.html.basic.SmartLinkMultiLineLabel;
@@ -74,17 +76,13 @@
         
         super(currentParam);
-        final String docId = WicketURLDecoder.QUERY_INSTANCE.decode(getPageParameters().getString(PARAM_DOC_ID, null));
+        final String docId;
+        docId = WicketURLDecoder.QUERY_INSTANCE.decode(getPageParameters().get(PARAM_DOC_ID).toString());
         SolrDocument solrDocument = DaoLocator.getSearchResultsDao().getSolrDocument(docId);
         if (solrDocument != null) {
             final SearchPageQuery query = new SearchPageQuery(currentParam);
             
-            // now the persistent parameters are not in the query parameters
-            PageParameters newParam = new PageParameters ();
-            // add the new query parameters to this map
-            newParam.putAll(query.getPageParameters());
-            // add the persistent parameters to this map
-            //newParam = webApp.reflectPersistentParameters(newParam);
-            
-            newParam = ((VloWebApplication.ThemedSession)getSession()).reflectPersistentParameters(newParam);
+            // create parameters from the query, and merge them with session related parameters
+            VloPageParameters newParam; 
+            newParam = new VloPageParameters (query.getPageParameters());
             
             BookmarkablePageLink<String> backLink = new BookmarkablePageLink<String>("backLink", FacetedSearchPage.class, newParam);
@@ -180,11 +178,12 @@
      * Create one column for the attributes and one column for their values.
      * 
-     * @param
+     * @newParam
      */
-    private IColumn[] createAttributesColumns() {
-        IColumn[] columns = new IColumn[2];
+    private List<IColumn> createAttributesColumns() {
+        List<IColumn> columns = null;
 
         // create the column for the attribute names
-        columns[0] = new PropertyColumn<Object>(new ResourceModel(Resources.FIELD), "field") {
+        IColumn column = null;
+        column = new PropertyColumn<Object,Object>(new ResourceModel(Resources.FIELD), "field") {
 
             @Override
@@ -193,7 +192,8 @@
             }
         };
+        columns.add (column);
 
         // create the column for the values of the attributes
-        columns[1] = new AbstractColumn<DocumentAttribute>(new ResourceModel(Resources.VALUE)) {
+        column = new AbstractColumn<DocumentAttribute, String>(new ResourceModel(Resources.VALUE)) {
             @Override
             public void populateItem(Item<ICellPopulator<DocumentAttribute>> cellItem,
@@ -214,5 +214,5 @@
                     cellItem.add(new SmartLinkMultiLineLabel(componentId, attribute.getValue()) {
                         @Override
-                        protected void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
+                        public void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
                             setEscapeModelStrings(false);
                             CharSequence body = getDefaultModelObjectAsString();
@@ -223,5 +223,5 @@
                     cellItem.add(new SmartLinkMultiLineLabel(componentId, attribute.getValue()) {
                         @Override
-                        protected void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
+                        public void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
                             setEscapeModelStrings(false);
                             CharSequence body = getDefaultModelObjectAsString();
@@ -232,5 +232,5 @@
                     cellItem.add(new SmartLinkMultiLineLabel(componentId, attribute.getValue()) {
                         @Override
-                        protected void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
+                        public void onComponentTagBody(MarkupStream markupStream, ComponentTag openTag) {
                             CharSequence body = StringUtils.toMultiLineHtml(getDefaultModelObjectAsString());
                             replaceComponentTagBody(markupStream, openTag, getSmartLink(body));
@@ -245,4 +245,5 @@
             }
         };
+        columns.add (column);
 
         return columns;
@@ -252,5 +253,5 @@
      * Add landing page links to the result page.
      *
-     * @param solrDocument the document to get the links from
+     * @newParam solrDocument the document to get the links from
      */
     private void addLandingPageLinks(SolrDocument solrDocument) {
@@ -322,5 +323,5 @@
      * Add search page links to the result page.
      *
-     * @param solrDocument the document to get the links from
+     * @newParam solrDocument the document to get the links from
      */
     private void addSearchPageLinks(SolrDocument solrDocument) {
@@ -393,5 +394,5 @@
      * page.
      *
-     * @param solrDocument the document to get the links from
+     * @newParam solrDocument the document to get the links from
      */
     private void addResourceLinks(SolrDocument solrDocument) {
@@ -423,5 +424,9 @@
     
     private void addFeedbackLink(final PageParameters parameters) {
-        String thisURL = RequestUtils.toAbsolutePath(RequestCycle.get().urlFor(ShowResultPage.class, parameters).toString());
+        
+        // create VloPageParameters in orde to be able to convert to old style parameters
+        VloPageParameters newParam = new VloPageParameters (parameters);
+        
+        String thisURL = RequestUtils.toAbsolutePath(RequestCycle.get().urlFor(ShowResultPage.class, newParam.convert()).toString(),null);
         try {
             thisURL = URLEncoder.encode(thisURL,"UTF-8");
@@ -442,14 +447,13 @@
     }
 
-    public static BookmarkablePageLink<ShowResultPage> createBookMarkableLink(String linkId, SearchPageQuery query, String docId, VloSession session) {
-        PageParameters pageParameters = query.getPageParameters();
-        pageParameters.put(ShowResultPage.PARAM_DOC_ID, WicketURLEncoder.QUERY_INSTANCE.encode(docId));
-        
-        // webApp.reflectPersistentParameters(pageParameters);
-        // instead of this: pass page parameters back to the session
-        session.reflectPersistentParameters(pageParameters);
+    public static BookmarkablePageLink<ShowResultPage> createBookMarkableLink(String linkId, SearchPageQuery query, String docId) {
+
+        // create new page parameters from the query parameters and the session related ones
+        VloPageParameters newParam;
+        newParam = new VloPageParameters(query.getPageParameters());
+        newParam.add(ShowResultPage.PARAM_DOC_ID, WicketURLEncoder.QUERY_INSTANCE.encode(docId));
 
         BookmarkablePageLink<ShowResultPage> docLink = new BookmarkablePageLink<ShowResultPage>(linkId, ShowResultPage.class,
-                pageParameters);
+                newParam);
         return docLink;
     }
@@ -457,5 +461,5 @@
 	/**
 	 * Add contentSearch form (FCS)
-	 * @param solrDocument
+	 * @newParam solrDocument
 	 */
 	private void addSearchServiceForm(final SolrDocument solrDocument) {
@@ -483,5 +487,5 @@
 	/**
 	 * Add complete CMDI view
-	 * @param solrDocument
+	 * @newParam solrDocument
 	 */
 	private void addCompleteCmdiView(final SolrDocument solrDocument) {
@@ -515,10 +519,9 @@
 		
 		// remove complete CMDI view on page load
-		add(new AbstractBehavior() {
+		add(new Behavior() {
 			private static final long serialVersionUID = 1865219352602175954L;
 
-			@Override
 			public void renderHead(IHeaderResponse response) {
-				super.renderHead(response);
+
 				response.renderOnLoadJavascript("toogleDiv('completeCmdi', 'toogleLink')");
 			}
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrDocumentDataProvider.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrDocumentDataProvider.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrDocumentDataProvider.java	(revision 4208)
@@ -13,5 +13,5 @@
 import eu.clarin.cmdi.vlo.dao.SearchResultsDao;
 
-public class SolrDocumentDataProvider extends SortableDataProvider<SolrDocument> {
+public class SolrDocumentDataProvider extends SortableDataProvider<SolrDocument, String> {
 
     private static final long serialVersionUID = 1L;
@@ -36,7 +36,7 @@
 
     @Override
-    public Iterator<? extends SolrDocument> iterator(int first, int count) {
+    public Iterator<? extends SolrDocument> iterator(long first, long count) {
         if (first != query.getStart().intValue() || count != query.getRows().intValue()) {
-            query.setStart(first).setRows(count);
+            query.setStart((int)first).setRows((int)count);
             docList = null;
         }
@@ -50,5 +50,5 @@
 
     @Override
-    public int size() {
+    public long size() {
         return (int) getDocList().getNumFound();
     }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetDataProvider.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetDataProvider.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetDataProvider.java	(revision 4208)
@@ -13,5 +13,5 @@
 import eu.clarin.cmdi.vlo.dao.SearchResultsDao;
 
-public class SolrFacetDataProvider extends SortableDataProvider<FacetField> {
+public class SolrFacetDataProvider extends SortableDataProvider<FacetField, String> {
 
     private static final long serialVersionUID = 1L;
@@ -29,5 +29,5 @@
 
     @Override
-    public Iterator<? extends FacetField> iterator(int first, int count) {
+    public Iterator<? extends FacetField> iterator(long first, long count) {
         return facets.iterator();
     }
@@ -47,5 +47,5 @@
 
     @Override
-    public int size() {
+    public long size() {
         return (int) getFacets().size();
     }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetFieldDataProvider.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetFieldDataProvider.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SolrFacetFieldDataProvider.java	(revision 4208)
@@ -57,10 +57,10 @@
 
     @Override
-    public Iterator<? extends Count> iterator(int first, int count) {
-        return getFacet().getValues().subList(first, first + count).iterator();
+    public Iterator<? extends Count> iterator(long first, long count) {
+        return getFacet().getValues().subList((int)first, (int)first + (int)count).iterator();
     }
 
     @Override
-    public int size() {
+    public long size() {
         return getFacet().getValueCount();
     }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java	(revision 4207)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java	(revision 4208)
@@ -5,5 +5,5 @@
 import org.apache.solr.client.solrj.response.FacetField;
 import org.apache.solr.common.params.CommonParams;
-import org.apache.wicket.PageParameters;
+import org.apache.wicket.request.mapper.parameter.PageParameters;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNull;