Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml	(revision 4209)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/pom.xml	(revision 4210)
@@ -2,8 +2,9 @@
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
     <modelVersion>4.0.0</modelVersion>
+    
     <groupId>eu.dasish.annotation</groupId>
     <artifactId>annotator-backend</artifactId>
+    <version>${project.version}</version>    
     <packaging>war</packaging>
-    <version>1.0-SNAPSHOT</version>
     <name>annotator-backend Jersey Webapp</name>
     <organization> 
@@ -11,6 +12,7 @@
         <url>https://trac.clarin.eu/wiki/DASISH</url>
     </organization>
+    
     <build>
-        <finalName>annotator-backend</finalName>
+        <finalName>annotator-backend-${project.version}</finalName>
         <testResources>
             <testResource>
@@ -34,4 +36,31 @@
                 </configuration>
             </plugin>
+            
+            
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-war-plugin</artifactId>
+                <version>2.3</version>
+            </plugin>
+            
+           <plugin>
+                <artifactId>maven-assembly-plugin</artifactId>
+                <version>2.4</version>
+                <executions>
+                    <execution>
+                        <id>make-assembly</id>
+                        <phase>package</phase>
+                        <goals>
+                            <goal>single</goal>
+                        </goals>
+                        <configuration>
+                            <descriptors>
+                                <descriptor>src/main/assembly/deploymenttarball.xml</descriptor>
+                            </descriptors>
+                        </configuration>
+                    </execution>
+                </executions>
+            </plugin>
+            
             <!-- Run the application using "mvn embedded-glassfish:run" -->
             <plugin>
@@ -252,4 +281,5 @@
         <netbeans.hint.license>gpl20</netbeans.hint.license>  
         <plugin.license.copyrightYear>2013</plugin.license.copyrightYear>
+        <project.version>1.0</project.version>
     </properties>
 </project>
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml	(revision 4210)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml	(revision 4210)
@@ -0,0 +1,64 @@
+<!--
+
+    Copyright (C) 2013 DASISH
+
+    This program is free software; you can redistribute it and/or
+    modify it under the terms of the GNU General Public License
+    as published by the Free Software Foundation; either version 2
+    of the License, or (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+-->
+
+<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
+    
+    <id>mpi-deploy</id>
+    <formats>
+        <format>tar.gz</format>
+    </formats>
+    
+    <fileSets>
+        
+       <!-- <fileSet>
+            <directory>${project.basedir}</directory>
+            <outputDirectory>/</outputDirectory>
+            <includes>
+                <include>UPDATE*</include>
+                <include>LICENSES*</include>
+                <include>README*</include>
+                <include>CHANGES*</include>
+                <include>INSTALL*</include>
+            </includes>
+            <fileMode>0644</fileMode>
+        </fileSet>
+        
+        <fileSet>            
+            <directory>${project.basedir}/DeploymentSettings</directory>
+            <outputDirectory>DeploymentSettings</outputDirectory>
+            <fileMode>0644</fileMode>
+            <directoryMode>0755</directoryMode>
+        </fileSet> -->
+               
+        <fileSet>            
+            <directory>target</directory>
+            <outputDirectory>war</outputDirectory>
+            <includes>
+                <include>*.war</include>
+            </includes>
+            <fileMode>0644</fileMode>
+            <directoryMode>0755</directoryMode>
+        </fileSet>
+
+            
+    </fileSets>              
+</assembly>