Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/CHANGES.txt
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/CHANGES.txt	(revision 4211)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/CHANGES.txt	(revision 4211)
@@ -0,0 +1,4 @@
+January 2, 2014: the first deployment on lux16.
+
+January 3, 2014: files README, ISNTALL, UPDATE, CHANGES are added to the deployment tar-ball which
+is from now on is generated using maven assembly plug-in
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/INSTALL.txt
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/INSTALL.txt	(revision 4211)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/INSTALL.txt	(revision 4211)
@@ -0,0 +1,94 @@
+DASISH annotator back-end installation 
+------------------------------------
+
+Contents:
+- Requirements
+- Installation and configuration 
+-- placing war-file and ds#webannotator.xml
+-- The fragment to be present in Tomcat's context.xml 
+-- The fragment to be present in Tomcat's web.xml 
+- Testing 
+
+
+= Requirements =
+
+* annotator-backend-XXX-mpi-deploy.tar.gz package 
+* Tomcat >=6
+* PostgreSQL >=9.2.4 database for keeping annotations
+
+
+
+= Installation and configuration   =
+=========================================================================================
+== Plasing war-file and ds#webannotator.xml at the tomcat's conf/Catalina/localhost ==
+
+You must deploy the annotator's .war file to the tomcat-webuser. Make a directory for the 
+application, like e.g. lat/webapps/dasish-web-annotator on lux16,  and deploy .war there following
+the standard TLA procedure.
+
+Then the corresponding ds#webannotator.xml looks as follows: 
+
+<?xml version='1.0' encoding='utf-8'?>
+<Context path="/ds/webannotator"
+  docBase="/lat/webapps/dasish-web-annotator/current"
+  debug="0" reloadable="true" crossContext="true">
+</Context>
+
+
+=============================================================================================
+== context.xml ===
+
+The file must contain the fragment for the database, like e.g.on lux16:
+
+         <Resource
+                 name="jdbc/DASISH"
+                 auth="Container"
+                 type="javax.sql.DataSource"
+                 driverClassName="org.postgresql.Driver"
+                 url="jdbc:postgresql://localhost/dasish"                
+                 username="XXXXXXX"  
+                 password="YYYYYYY"  
+                 maxActive="20"
+                 maxIdle="5"    
+                 maxWait="4000" />
+
+
+=============================================================================================
+== web.xml ===
+
+So far no parameters to be placed in the "global" web.xml 
+
+
+=============================================================================================
+
+= Testing  =
+
+If the application is succesfully deployed, you will get the jsp page after requesting
+
+<server uri>/ds/webannotator
+
+Note that the path "ds/webannotator" is the same as mentioned in  ds#webannotator.xml above.
+
+On this web-page there is a number of test GET requests there which you can send if you want 
+to check if it works. For this you will need a login and a password. Ask the dasish backend's 
+responsible developer (Olha). 
+
+If you want to test POST, PUT and DELETE requests use e.g.
+
+-- chrome REST console, see
+https://chrome.google.com/webstore/detail/rest-console/cokgbflfommojglbmbpenpphppikmonn
+
+-- or a FireFox add-on "Rest client", 
+see https://addons.mozilla.org/nl/firefox/addon/restclient/
+
+NOTE that POST and PUT 
+
+For Posting/Putting files of cached representations use curl, e.g. 
+
+curl -u <user>:<password> -H "Content-Type: multipart/mixed" -F 
+"metadata=@cachedInfoToAdd.xml; type=application/xml " -F "content=@artnouveauspain.png; 
+type=image/png" -X POST 
+http://localhost:8080/annotator-backend/api/targets/00000000-0000-0000-0000-000000000033/fragment/"(1,1)"/cached -i -v
+
+
+
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/README.txt
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/README.txt	(revision 4211)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/README.txt	(revision 4211)
@@ -0,0 +1,34 @@
+DASISH web-annotator back-end 
+
+The DASISH web-annotator back-end is a part of the DAISH annotating framework announced in task 5.6
+of  DASISH project.   The information about the whole project can be found at 
+http://dasish.eu/. The deatiled technical information about DASISH annotating framework can be 
+found at https://trac.clarin.eu/wiki/DASISH. For this you need a clarin wiki account.
+
+The DASISH web-annotator back-end consists of two parts: the database, where the 
+annotations are stored, and the Jerseys web-application that by means of REST requests 
+performs  authentified red/write  access to the database.
+
+=== Requests ===
+
+The requests are specified in
+
+https://trac.clarin.eu/wiki/DASISH/SpecificationDocument#RESTApplicationProgrammingInterface
+
+and examplified in
+
+https://trac.clarin.eu/wiki/DASISH/XSD%20and%20XML
+
+=== Logging in ===
+
+So far a simple spring-security authentication (with hashed passwords, via database authentication 
+provider) is implemented. The settings are in spring-config/applicationContext-security.xml. 
+For hashing the class
+org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder is used.
+
+The setting are done based on the manual
+ http://docs.spring.io/spring-security/site/docs/3.1.x/reference/springsecurity-single.html
+
+=== License ===
+
+GNU GPL
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/UPDATE.txt
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/UPDATE.txt	(revision 4211)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/UPDATE.txt	(revision 4211)
@@ -0,0 +1,6 @@
+Take the tar-ball of the new  version XXX, and follow the standard MPI deployment procedure
+Consult the instructions from INSTALL.txt about placing war file. 
+
+For testing consult "Testing" section of INSTALL.txt. 
+
+
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml	(revision 4210)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/assembly/deploymenttarball.xml	(revision 4211)
@@ -30,5 +30,5 @@
     <fileSets>
         
-       <!-- <fileSet>
+      <fileSet>
             <directory>${project.basedir}</directory>
             <outputDirectory>/</outputDirectory>
@@ -43,11 +43,5 @@
         </fileSet>
         
-        <fileSet>            
-            <directory>${project.basedir}/DeploymentSettings</directory>
-            <outputDirectory>DeploymentSettings</outputDirectory>
-            <fileMode>0644</fileMode>
-            <directoryMode>0755</directoryMode>
-        </fileSet> -->
-               
+       
         <fileSet>            
             <directory>target</directory>
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/META-INF/context.xml
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/META-INF/context.xml	(revision 4210)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/META-INF/context.xml	(revision 4211)
@@ -34,19 +34,3 @@
         removeAbandonedTimeout="10"
         logAbandoned="true" />
- <Resource
-        name="jdbc/DASISHSecurity"
-        auth="Container"
-        type="javax.sql.DataSource"
-        driverClassName="org.postgresql.Driver"
-        url="jdbc:postgresql:dasishsecurity"
-        username="dasishadmin"
-        password="dasishadmin"
-        maxActive="10"
-        maxIdle="5"
-        maxWait="4000"
-        removeAbandoned="false"
-        removeAbandonedTimeout="10"
-        logAbandoned="true" />
-  <Parameter name="eu.dasish.annotation.backend.schemaLocation" 
-             value="http://www.dasish.eu/ns/addit https://svn.clarin.eu/DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/DASISH-schema.xsd"/>
 </Context>
Index: /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/WEB-INF/web.xml
===================================================================
--- /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/WEB-INF/web.xml	(revision 4210)
+++ /DASISH/t5.6/backend/annotator-backend/trunk/annotator-backend/src/main/webapp/WEB-INF/web.xml	(revision 4211)
@@ -26,4 +26,9 @@
         <param-value>classpath*:spring-config/**/*.xml</param-value>
     </context-param>
+    <context-param>
+        <param-name>eu.dasish.annotation.backend.schemaLocation</param-name>
+        <param-value>http://www.dasish.eu/ns/addit https://svn.clarin.eu/DASISH/t5.6/schema/trunk/annotator-schema/src/main/resources/DASISH-schema.xsd</param-value>
+    </context-param>
+    
     <listener>
         <listener-class>