Index: o/branches/to-wicket-1.6-twagoo/vlo_web_app/vlo-importer.log
===================================================================
--- /vlo/branches/to-wicket-1.6-twagoo/vlo_web_app/vlo-importer.log	(revision 4215)
+++ 	(revision )
@@ -1,84 +1,0 @@
-2014-01-03 11:00:28,264 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-d37a2c1b-06a5-4e2b-ad7a-82ecf1a5e000] init: Wicket core library initializer
-2014-01-03 11:00:28,271 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 11:00:28,272 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 11:00:28,272 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 11:00:28,273 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 11:00:28,273 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 11:00:28,274 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 11:00:28,275 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-d37a2c1b-06a5-4e2b-ad7a-82ecf1a5e000] init: Wicket extensions initializer
-2014-01-03 11:00:28,298 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-d37a2c1b-06a5-4e2b-ad7a-82ecf1a5e000] init: Wicket core library initializer
-2014-01-03 11:00:28,335 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-29cb6654-b35b-462c-9882-bb16a04fbcd5] init: Wicket core library initializer
-2014-01-03 11:00:28,336 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-29cb6654-b35b-462c-9882-bb16a04fbcd5] init: Wicket extensions initializer
-2014-01-03 11:00:28,336 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-29cb6654-b35b-462c-9882-bb16a04fbcd5] init: Wicket core library initializer
-2014-01-03 11:03:03,644 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-1f8dad6c-81c0-45b6-86a7-4e7b29c7d689] init: Wicket core library initializer
-2014-01-03 11:03:03,651 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 11:03:03,652 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 11:03:03,652 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 11:03:03,653 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 11:03:03,653 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 11:03:03,654 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 11:03:03,654 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-1f8dad6c-81c0-45b6-86a7-4e7b29c7d689] init: Wicket extensions initializer
-2014-01-03 11:03:03,672 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-1f8dad6c-81c0-45b6-86a7-4e7b29c7d689] init: Wicket core library initializer
-2014-01-03 11:03:03,711 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-4fdca91a-76e9-40a7-bda3-fde8b6c0b6f6] init: Wicket core library initializer
-2014-01-03 11:03:03,711 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-4fdca91a-76e9-40a7-bda3-fde8b6c0b6f6] init: Wicket extensions initializer
-2014-01-03 11:03:03,712 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-4fdca91a-76e9-40a7-bda3-fde8b6c0b6f6] init: Wicket core library initializer
-2014-01-03 11:07:10,628 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-0d8a56e9-e0e6-489e-b6ac-b98017753da6] init: Wicket core library initializer
-2014-01-03 11:07:10,633 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 11:07:10,634 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 11:07:10,635 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 11:07:10,637 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 11:07:10,638 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 11:07:10,639 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 11:07:10,639 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-0d8a56e9-e0e6-489e-b6ac-b98017753da6] init: Wicket extensions initializer
-2014-01-03 11:07:10,655 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-0d8a56e9-e0e6-489e-b6ac-b98017753da6] init: Wicket core library initializer
-2014-01-03 11:07:10,681 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-87b7c4c5-64ac-47a1-8d13-b3cda70b7e58] init: Wicket core library initializer
-2014-01-03 11:07:10,682 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-87b7c4c5-64ac-47a1-8d13-b3cda70b7e58] init: Wicket extensions initializer
-2014-01-03 11:07:10,683 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-87b7c4c5-64ac-47a1-8d13-b3cda70b7e58] init: Wicket core library initializer
-2014-01-03 11:48:33,835 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-a66c459b-851f-446c-b3c8-d707f7de4784] init: Wicket core library initializer
-2014-01-03 11:48:33,846 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 11:48:33,847 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 11:48:33,847 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 11:48:33,849 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 11:48:33,850 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 11:48:33,851 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 11:48:33,852 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-a66c459b-851f-446c-b3c8-d707f7de4784] init: Wicket extensions initializer
-2014-01-03 11:48:33,897 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-a66c459b-851f-446c-b3c8-d707f7de4784] init: Wicket core library initializer
-2014-01-03 11:48:33,950 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-b5d330ce-10a5-4cab-848c-c42095317780] init: Wicket core library initializer
-2014-01-03 11:48:33,951 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-b5d330ce-10a5-4cab-848c-c42095317780] init: Wicket extensions initializer
-2014-01-03 11:48:33,952 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-b5d330ce-10a5-4cab-848c-c42095317780] init: Wicket core library initializer
-2014-01-03 12:04:52,862 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-6e35cc0d-866b-4d5f-a56e-40a5190bf136] init: Wicket core library initializer
-2014-01-03 12:04:52,872 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 12:04:52,873 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 12:04:52,874 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 12:04:52,875 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 12:04:52,876 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 12:04:52,876 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 12:04:52,877 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-6e35cc0d-866b-4d5f-a56e-40a5190bf136] init: Wicket extensions initializer
-2014-01-03 12:04:52,896 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-6e35cc0d-866b-4d5f-a56e-40a5190bf136] init: Wicket core library initializer
-2014-01-03 12:04:52,964 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-9a3c0b25-7f69-440d-9c79-a0ebc43a278c] init: Wicket core library initializer
-2014-01-03 12:04:52,965 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-9a3c0b25-7f69-440d-9c79-a0ebc43a278c] init: Wicket extensions initializer
-2014-01-03 12:04:52,966 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-9a3c0b25-7f69-440d-9c79-a0ebc43a278c] init: Wicket core library initializer
-2014-01-03 14:18:12,451 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-ee75332c-f6ce-49a5-80bd-8ffb2c036391] init: Wicket core library initializer
-2014-01-03 14:18:12,459 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 14:18:12,459 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 14:18:12,460 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 14:18:12,464 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 14:18:12,464 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 14:18:12,465 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 14:18:12,465 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-ee75332c-f6ce-49a5-80bd-8ffb2c036391] init: Wicket extensions initializer
-2014-01-03 14:18:12,494 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-ee75332c-f6ce-49a5-80bd-8ffb2c036391] init: Wicket core library initializer
-2014-01-03 14:18:12,544 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-db44695c-943c-4778-9276-0a612ca34e8a] init: Wicket core library initializer
-2014-01-03 14:18:12,545 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-db44695c-943c-4778-9276-0a612ca34e8a] init: Wicket extensions initializer
-2014-01-03 14:18:12,546 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-db44695c-943c-4778-9276-0a612ca34e8a] init: Wicket core library initializer
-2014-01-03 14:57:25,543 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-fdbc2a6e-99b2-4359-9f43-90b88c9d2517] init: Wicket core library initializer
-2014-01-03 14:57:25,546 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-03 14:57:25,546 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-03 14:57:25,546 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-03 14:57:25,547 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-03 14:57:25,548 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-03 14:57:25,549 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-03 14:57:25,549 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-fdbc2a6e-99b2-4359-9f43-90b88c9d2517] init: Wicket extensions initializer
-2014-01-03 14:57:25,563 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-fdbc2a6e-99b2-4359-9f43-90b88c9d2517] init: Wicket core library initializer
-2014-01-03 14:57:25,605 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-dc2d04b1-ddae-46d4-b802-839735ddcf60] init: Wicket core library initializer
-2014-01-03 14:57:25,606 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-dc2d04b1-ddae-46d4-b802-839735ddcf60] init: Wicket extensions initializer
-2014-01-03 14:57:25,606 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-dc2d04b1-ddae-46d4-b802-839735ddcf60] init: Wicket core library initializer