Index: o/branches/to-wicket-1.6/vlo_web_app/vlo-importer.log
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/vlo-importer.log	(revision 4220)
+++ 	(revision )
@@ -1,20 +1,0 @@
-2014-01-07 11:48:36,531 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-4d8df083-0757-4c74-ad5b-024afde2384e] init: Wicket core library initializer
-2014-01-07 11:48:36,537 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-07 11:48:36,538 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-07 11:48:36,539 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-07 11:48:36,540 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-07 11:48:36,540 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-07 11:48:36,542 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-07 11:48:36,542 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-4d8df083-0757-4c74-ad5b-024afde2384e] init: Wicket extensions initializer
-2014-01-07 11:48:36,635 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-73a3d327-8b9f-4714-8df8-0a9213250316] init: Wicket core library initializer
-2014-01-07 11:48:36,636 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-73a3d327-8b9f-4714-8df8-0a9213250316] init: Wicket extensions initializer
-2014-01-07 11:50:56,951 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-0858147d-092a-4abb-ab0a-551bb42f18b6] init: Wicket core library initializer
-2014-01-07 11:50:56,959 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IBehaviorListener, method=public abstract void org.apache.wicket.behavior.IBehaviorListener.onRequest()]
-2014-01-07 11:50:56,959 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IFormSubmitListener, method=public abstract void org.apache.wicket.markup.html.form.IFormSubmitListener.onFormSubmitted()]
-2014-01-07 11:50:56,959 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=ILinkListener, method=public abstract void org.apache.wicket.markup.html.link.ILinkListener.onLinkClicked()]
-2014-01-07 11:50:56,961 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IOnChangeListener, method=public abstract void org.apache.wicket.markup.html.form.IOnChangeListener.onSelectionChanged()]
-2014-01-07 11:50:56,961 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IRedirectListener, method=public abstract void org.apache.wicket.IRedirectListener.onRedirect()]
-2014-01-07 11:50:56,962 INFO [org.apache.wicket.RequestListenerInterface#registerRequestListenerInterface:330] - registered listener interface [RequestListenerInterface name=IResourceListener, method=public abstract void org.apache.wicket.IResourceListener.onResourceRequested()]
-2014-01-07 11:50:56,962 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-0858147d-092a-4abb-ab0a-551bb42f18b6] init: Wicket extensions initializer
-2014-01-07 11:50:57,035 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-7c0565eb-1c44-4f2a-8c47-4b4dbe5f4bc2] init: Wicket core library initializer
-2014-01-07 11:50:57,036 INFO [org.apache.wicket.Application#initInitializers:611] - [WicketTesterApplication-7c0565eb-1c44-4f2a-8c47-4b4dbe5f4bc2] init: Wicket extensions initializer